# Cradle

> Простая PHP библиотека для создания веб-приложений.

##Включает в себя:

Набор простых PHP классов, наиболее часто используемых компанией [SAD-Sysytems](http://sad-systems.ru)
при: 

 * создании своих приложений
 * автоматизации процесса разработки

Также библиотека содержит микро Фреймворк для быстрого старта простого веб-приложения.

##Предварительные требования

Перед тем как приступить к установке, необходимо установить:

 * [PHP](http://php.net/downloads.php) версии 5.4 или старше.
 * [Composer](https://getcomposer.org) (рекомендуется)

##Установка

### Установка с помощью `Git`

Просто клонируйте репозиторий: `git clone https://github.com/sad-systems/cradle.git`

### Установка с помощью `Composer`

#### Вариант 1:

Добавьте в файл `composer.json` следующие настройки:

~~~js
    "require": {
            "digger/cradle": "*"
        }
~~~

и запустите команду:

~~~sh
$ php composer.phar update
~~~

#### Вариант 2:

Просто выполните из командной строки:

~~~sh
$ php composer.phar global require "digger/cradle:*"
~~~

##Использование

Все классы данной библиотеки находятся в пространстве имён `digger\cradle`.
Подключать классы рекомендуется через автозагрузчик `Composer` (можно также воспользоваться
загрузчиком включенным в саму библиотеку или своим собственным).

С подробным описанием классов можно ознакомится в разделе:
[Структуры данных](http://sad-systems.ru/projects/cradle/doc/phpdoc/annotated.html)

## Авторы

[Mr Digger](mailto://mrdigger@mail.ru)

## Авторские права

Авторские права на код и документацию 2015 [SAD-Systems](http://sad-systems.ru) 
